package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class FunzioniOrdinantiConti.
 * @see sicura.entities.FunzioniOrdinantiConti
 * @author Hibernate Tools
 */
@Stateless
public class FunzioniOrdinantiContiHome {

	private static final Log log = LogFactory.getLog(FunzioniOrdinantiContiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(FunzioniOrdinantiConti transientInstance) {
		log.debug("persisting FunzioniOrdinantiConti instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(FunzioniOrdinantiConti persistentInstance) {
		log.debug("removing FunzioniOrdinantiConti instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public FunzioniOrdinantiConti merge(FunzioniOrdinantiConti detachedInstance) {
		log.debug("merging FunzioniOrdinantiConti instance");
		try {
			FunzioniOrdinantiConti result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public FunzioniOrdinantiConti findById(Integer id) {
		log.debug("getting FunzioniOrdinantiConti instance with id: " + id);
		try {
			FunzioniOrdinantiConti instance = entityManager.find(FunzioniOrdinantiConti.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
